Render V2 - Get Copyright For Tile
Область применения: см. ценовые категории.
API авторских прав предназначен для предоставления сведений об авторских правах для службы отрисовки плиток. Помимо основных авторских прав на всю карту, API обслуживает определенные группы авторских прав для некоторых стран. Возвращает сведения об авторских правах для данной плитки. Чтобы получить сведения об авторских правах для определенной плитки, запрос должен указать уровень масштаба плитки и координаты x и y (см. статью "Уровни масштабирования" и "Сетка плиток").
GET https://atlas.microsoft.com/map/copyright/tile/{format}?api-version=2.1&zoom={zoom}&x={x}&y={y}
GET https://atlas.microsoft.com/map/copyright/tile/{format}?api-version=2.1&zoom={zoom}&x={x}&y={y}&text={text}
Параметры URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
format
|
path | True |
Требуемый формат ответа. Значением может быть json или xml. |
|
|
api-version
|
query | True |
|
Номер версии API Azure Maps Текущая версия — 2.1 |
|
x
|
query | True |
|
Координата X плитки в сетке масштабирования. Значение должно находиться в диапазоне [0, 2 Дополнительные сведения см. в разделе "Уровни масштабирования" и "Сетка плиток ". |
|
y
|
query | True |
|
Координата Y плитки в сетке масштабирования. Значение должно находиться в диапазоне [0, 2 Дополнительные сведения см. в разделе "Уровни масштабирования" и "Сетка плиток ". |
|
zoom
|
query | True |
|
Уровень масштаба для нужной плитки. Дополнительные сведения см. в разделе "Уровни масштабирования" и "Сетка плиток ". |
|
text
|
query |
Да/нет значения, чтобы исключить текстовые данные из ответа. В ответ будут содержаться только изображения и названия стран. |
Заголовок запроса
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
|
Указывает, какая учетная запись предназначена для использования в сочетании с моделью безопасности Azure AD. Он представляет уникальный идентификатор для учетной записи Azure Maps и может быть получен из API учетной записи уровня управления Azure Maps. Инструкции по использованию Azure AD безопасности в Azure Maps см. в следующих статьях. |
Ответы
| Name | Type | Description |
|---|---|---|
| 200 OK |
ОК |
|
| Other Status Codes |
Произошла непредвиденная ошибка. |
Безопасность
AADToken
Это Azure Active Directory потоки OAuth2. При связывании с управлением доступом на основе ролей Azure его можно использовать для управления доступом к Azure Maps REST API. Элементы управления доступом на основе ролей Azure используются для назначения доступа к одной или нескольким Azure Maps учетной записи или вложенным ресурсам. Любой пользователь, группа или субъект-служба могут быть предоставлены доступ через встроенную роль или пользовательскую роль, состоящую из одного или нескольких разрешений для Azure Maps REST API.
Для реализации сценариев рекомендуется просматривать основные понятия проверки подлинности. Таким образом, это определение безопасности предоставляет решение для моделирования приложений с помощью объектов, способных управлять доступом к определенным API и областям.
Примечания
- Это определение безопасности требует использования заголовка
x-ms-client-id, чтобы указать, к какому ресурсу Azure Maps приложение запрашивает доступ. Это можно получить из API управления Карты.
Это Authorization URL зависит от экземпляра общедоступного облака Azure. Национальные облака имеют уникальные URL-адреса авторизации и конфигурации Azure Active Directory.
* Управление доступом на основе ролей Azure настраивается из плоскости управления Azure с помощью портал Azure, PowerShell, CLI, пакетов SDK Azure или REST API.
* Использование веб-пакета SDK Azure Maps позволяет настраивать приложение на основе конфигурации для нескольких вариантов использования.
- В настоящее время Azure Active Directory версии 1.0 или 2.0 поддерживают рабочие, учебные заведения и гости, но не поддерживают личные учетные записи.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default | https://atlas.microsoft.com/.default |
subscription-key
Это общий ключ, подготовленный при создании ресурса Azure Maps через плоскость управления Azure с помощью портал Azure, PowerShell, CLI, пакетов SDK Azure или REST API.
С помощью этого ключа любое приложение авторизовано для доступа ко всем REST API. Другими словами, в настоящее время их можно рассматривать как главные ключи к учетной записи, для которой они выдаются.
Для общедоступных приложений мы рекомендуем использовать доступ между серверами Azure Maps REST API, где этот ключ можно безопасно хранить.
Type:
apiKey
In:
query
SAS Token
Это маркер подписанного URL-адреса создается из операции list SAS для ресурса Azure Maps через плоскость управления Azure с помощью портал Azure, PowerShell, CLI, пакетов SDK Azure или REST API.
С помощью этого маркера любое приложение авторизовано для доступа с помощью элементов управления доступом на основе ролей Azure и точного управления сроком действия, скоростью и регионами, используемыми для конкретного маркера. Другими словами, маркер SAS можно использовать, чтобы разрешить приложениям управлять доступом более безопасным способом, чем общий ключ.
Для общедоступных приложений рекомендуется настроить определенный список разрешенных источников в ресурсе учетной записи карты , чтобы ограничить злоупотребление отрисовкой и регулярно обновлять маркер SAS.
Type:
apiKey
In:
header
Примеры
Successful Tile Copyright Request
Sample Request
GET https://atlas.microsoft.com/map/copyright/tile/json?api-version=2.1&zoom=6&x=9&y=22
Sample Response
{
"formatVersion": "0.0.1",
"generalCopyrights": [
"© 1992 - 2018 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection, database right protection and other intellectual property rights owned by TomTom or its suppliers. The use of this material is subject to the terms of a license agreement. Any unauthorized copying or disclosure of this material will lead to criminal and civil liabilities.",
"Data Source © 2018 TomTom",
"based on"
],
"regions": [
{
"copyrights": [
"© 2006 – 2018 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom. The product includes information copied with permission from Canadian authorities, including © Canada Post Corporation and Department of Natural Resources Canada, All rights reserved. The use of this material is subject to the terms of a License Agreement. You will be held liable for any unauthorized copying or disclosure of this material. Adapted from Statistics Canada: Boundary Files, 2016 Census; Road Network File, 2016; and Census Population and Dwelling Count Highlight Tables, 2016 Census. This does not constitute an endorsement by Statistics Canada of this product",
"The following copyright notice applies to the use of Administrative Area: © 2006 – 2018 TomTom. All rights reserved. Adapted from Statistics Canada: Boundary Files, 2016 Census: Census Population and Dwelling Count Highlight Tables, 2016. This does not constitute an endorsement by Statistics Canada of this product.",
"The following copyright notice applies to the use of Post- FSA layer and 6-digit layer: © 2006 – 2018 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom. The product includes information copied with permission from Canadian authorities, including © Canada Post Corporation, All rights reserved. The use of this material is subject to the terms of a License Agreement. You will be held liable for any unauthorized copying or disclosure of this material",
"The following copyright notice applies to the use of Points of Interest: © 2006 – 2018 TomTom. All rights reserved. Portions of the POI database contained in Points of Interest North America have been provided by Neustar Localeze",
"The following copyright notice applies to the use of Telecommunications: © 2017 Pitney Bowes. All rights reserved. In addition, for the following product layers Wire Center Boundaries, ILEC Boundaries, and Rate Center Boundaries, the following also applies: This product contains information and/or data of Telcordia Technologies, Inc. (Telcordia) licensed to be included herein.",
"The following copyright notice applies to the use of TomTom Traffic: Portions of the data have been provided by Total Traffic & Weather Network, a division of iHeartMedia + Entertainment, Inc. © 2017. Total Traffic & Weather Network, a division of iHeartMedia + Entertainment, Inc. All rights reserved.",
"This product contains address point data made available under the city of Vancouver’s Open Data framework as documented on August 6, 2012 in: vancouver.ca/open-government-licence Contains public sector Datasets made available under the City of Toronto's Open Data Licence v2.0. This is specified in their terms available here: http://www1.toronto.ca/wps/portal/contentonly?vgnextoid=4a37e03bb8d1e310VgnVCM10000071d60f89RCRD",
"Contains information licensed under the Open Government Licence – Strathcona County. For specifics, please reference: https://data.strathcona.ca/licence",
"Contains information licensed under the Open Government Licence – County of Grande Prairie. For specifics, please reference: http://www.countygp.ab.ca/EN/main/community/maps-gis/open-data/open-data-licence.html",
"Contains information licensed under the Open Government Licence – Canada. For specifics, please reference: http://open.canada.ca/en/open-government-licence-canada",
"Contains information licensed under the Calgary Regional Partnership Open Data Licence. For specifics, please reference: http://calgaryregion.ca/dam/Website/reports/General/GIS/Public-documents/Calgary-Regional-Partnership-Open-Data-Licence/Calgary%20Regional%20Partnership%20Open%20Data%20Licence.pdf Contains information licensed under the Open Government Licence – Banff. For specifics, please reference: http://www.banffopendata.ca/Home/About",
"Contains information licensed under the Open Data License – City of Grande Prairie. For specifics, please reference: http://www.cityofgp.com/index.aspx?page=2332",
"Contains information licensed under the Open Government Licence – City of Victoria. For specifics, please reference: http://www.victoria.ca/EN/main/city/open-data-catalogue/open-data-licence.html",
"Contains information licenced under the Open Government Licence - Halifax. For specifics, please reference: http://www.halifax.ca/opendata/OD_TermsOfUse.php",
"Contains information provided by the City of Guelph under an open government license. For specifics, please reference: http://data.open.guelph.ca/pages/open-government-licence",
"Contains information licensed under the Open Government Licence – Haldimand County. For specifics, please reference: http://opendata.haldimandcounty.on.ca/",
"Contains information provided by the City of Hamilton under an open government license. For specifics, please reference: http://www2.hamilton.ca/NR/rdonlyres/C58984A4-FE11-40B9-A231-8572EB922AAA/0/OpenDataTermsAndConditions_Final.html Contains information licensed under the Open Government Licence - Niagara Region. For specifics, please reference: http://www.niagararegion.ca/government/opendata/terms-of-use.aspx",
"Contains information licensed under the Open Government Licence — Town of Oakville. For specifics, please reference: http://www.oakville.ca/data/open_data_licence.html",
"Contains information licensed under the Open Government Licence - The Corporation of the City of Windsor. For specifics, please reference: http://www.citywindsor.ca/opendata/Documents/OpenDataTermsofUse.pdf",
"Contains information licensed under the Open Government Licence – City of Regina. For specifics, please reference: https://www.regina.ca/residents/open-government/open-government-licence/",
"Contains information licensed under the Open Government License - British Columbia. Contains information licensed under the Open Government License - City of Surrey. Contains public sector datasets made available under the City of Brandon's Open Data License. For specifics, please reference: http://opengov.brandon.ca/terms.aspx",
"Contains information licensed under the Open Government License - Winnipeg. For specifics, please reference: https://data.winnipeg.ca/open-data-licence",
"Contains information licensed under the GeoNB Open Data Licence. For specifics, please reference: http://geonb.snb.ca/documents/license/geonb-odl_en.pdf",
"Contains information licensed under the Open Government Licence - The Corporation of the Municipality of Chatham-Kent. Contains information licensed under the Open Government Licence - Niagara Region. For specifics, please referec: https://niagaraopendata.ca/pages/open-government-license-2-0-niagara-region",
"Contains information licensed under the Open Government Licence - City of Welland. Contains information licensed under the Open Government Licence - Prince Edward Island. For specifics, please reference: https://www.princeedwardisland.ca/en/information/finance/open-government-licence-prince-edward-island",
"Contains information licensed under the Open Government License - Kamloops. For specifics, please reference: http://www.kamloops.ca/maps/disclaimer.html",
"Contains information licensed under the Open Government License - Nanaimo. For specifics, please reference: http://www.nanaimo.ca/EN/main/departments/information-technology/DataCatalogue/Licence.html Contains information licensed under the Open Government License – City of New Westminster. For specifics, please reference: http://opendata.newwestcity.ca/licence",
"Contains information licensed under the Open Government License – City of Prince George. For specifics, please reference: http://pgmap.princegeorge.ca/opendata/CityofPrinceGeorge_Open_Government_License_Open_Data.pdf",
"Contains Information licensed under the Open Government Licence – Brantford. For specifics, please reference: http://www.brantford.ca/govt/projects/opendata/Pages/OpenDataLicence.aspx",
"Contains data for Gatineau, QC made available through Creative Commons Attribution 4.0 International. For specifics, please reference: https://creativecommons.org/licenses/by/4.0/legalcode",
"Contains data for Laval, QC made available through Creative Commons Attribution 4.0 International. For specifics, please reference: https://creativecommons.org/licenses/by/4.0/legalcode",
"Contains data for Longueuil, QC made available through Creative Commons Attribution 4.0 International. For specifics, please reference: https://creativecommons.org/licenses/by/4.0/legalcode",
"Contains data for Montreal, QC made available through Creative Commons Attribution 4.0 International. For specifics, please reference: https://creativecommons.org/licenses/by/4.0/legalcode",
"Contains data for Rimouski, QC made available through Creative Commons Attribution 4.0 International. For specifics, please reference: https://creativecommons.org/licenses/by/4.0/legalcode"
],
"country": {
"ISO3": "CAN",
"label": "Canada"
}
},
{
"copyrights": [
"The following copyright notice applies to the use of Points of Interest: © 2006 – 2018 TomTom. All rights reserved. Portions of the POI database contained in Points of Interest North America have been provided by Neustar Localeze",
"The following copyright notice applies to the use of Telecommunications: © 2017 Pitney Bowes. All rights reserved. In addition, for the following product layers Wire Center Boundaries, ILEC Boundaries, and Rate Center Boundaries, the following also applies: This product contains information and/or data of Telcordia Technologies, Inc. (Telcordia) licensed to be included herein.",
"The following copyright notice applies to the use of TomTom Traffic: Portions of the data have been provided by Total Traffic & Weather Network, a division of iHeartMedia + Entertainment, Inc. © 2017. Total Traffic & Weather Network, a division of iHeartMedia + Entertainment, Inc. All rights reserved.",
"© United States Postal Service 2017",
"Contains data made available by the Rhode Island Geographic Information System (RIGIS) consortium, the State of Rhode Island, and the University of Rhode Island. For specifics, please reference: http://www.rigis.org/information",
"Contains Address Points data made available by State of Maryland and MD iMAP. For specifics, please reference: http://imap.maryland.gov."
],
"country": {
"ISO3": "USA",
"label": "United States"
}
}
]
}
Определения
| Copyright |
Этот объект возвращается из успешного запроса на авторские права |
| Country |
Свойство Country |
|
Error |
Дополнительные сведения об ошибке управления ресурсами. |
|
Error |
Сведения об ошибке. |
|
Error |
Сообщение об ошибке |
|
Include |
Да/нет значения, чтобы исключить текстовые данные из ответа. В ответ будут содержаться только изображения и названия стран. |
|
Region |
|
|
Response |
Требуемый формат ответа. Значением может быть json или xml. |
Copyright
Этот объект возвращается из успешного запроса на авторские права
| Name | Type | Description |
|---|---|---|
| formatVersion |
|
Свойство Format Version |
| generalCopyrights |
|
Общий массив авторских прав |
| regions |
Массив регионов |
Country
Свойство Country
| Name | Type | Description |
|---|---|---|
| ISO3 |
|
Свойство ISO3 |
| label |
|
Свойство Label |
ErrorAdditionalInfo
Дополнительные сведения об ошибке управления ресурсами.
| Name | Type | Description |
|---|---|---|
| info |
|
Дополнительные сведения. |
| type |
|
Дополнительный тип сведений. |
ErrorDetail
Сведения об ошибке.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Дополнительные сведения об ошибке. |
|
| code |
|
Код ошибки. |
| details |
Сведения об ошибке. |
|
| message |
|
Сообщение об ошибке. |
| target |
|
Целевой объект ошибки. |
ErrorResponse
Сообщение об ошибке
| Name | Type | Description |
|---|---|---|
| error |
Объект ошибки. |
IncludeText
Да/нет значения, чтобы исключить текстовые данные из ответа. В ответ будут содержаться только изображения и названия стран.
| Name | Type | Description |
|---|---|---|
| no |
|
Исключите текстовые данные из ответа. В ответ будут содержаться только изображения и названия стран. |
| yes |
|
Включите все текстовые данные в ответ. |
RegionCopyrights
| Name | Type | Description |
|---|---|---|
| copyrights |
|
Массив авторских прав |
| country |
Свойство Country |
ResponseFormat
Требуемый формат ответа. Значением может быть json или xml.
| Name | Type | Description |
|---|---|---|
| json |
|
|
| xml |
|